### Method

# Fwupd Codec to_json_string

#### Declaration [src]

    gchar*
    fwupd_codec_to_json_string (
      FwupdCodec* self,
      FwupdCodecFlags flags,
      GError** error
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a JSON string.

Available since: | 2.0.0

#### Parameters

`flags` | `FwupdCodecFlags`
| A `FwupdCodecFlags`, e.g. `FWUPD_CODEC_FLAG_TRUSTED`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.